Skip to main content
PATCH
/
v1
/
consumer-profiles
/
{uuid}
Update Consumer Profile
curl --request PATCH \
  --url https://api.dispersed.com/v1/consumer-profiles/{uuid} \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_active": true,
  "is_compute_billing_enabled": true,
  "allowed_region_codes": [
    "us-west-2"
  ]
}
'
{
  "is_active": true,
  "is_compute_billing_enabled": true,
  "object": "consumer_profile",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "account_uuid": "<string>",
  "render_user_id": "<string>",
  "allowed_region_codes": [],
  "deleted_at": "2023-11-07T05:31:56Z"
}

Path Parameters

uuid
string<uuid>
required

Body

application/json
is_active
boolean
is_compute_billing_enabled
boolean
allowed_region_codes
enum<string>[]

Enforced region-code allowlist. When non-empty, jobs from this consumer are only assigned to nodes in these regions.

Maximum array length: 36
Available options:
ca-central-1,
ca-west-1,
mx-central-1,
sa-east-1,
us-east-1,
us-east-2,
us-west-1,
us-west-2,
eu-central-1,
eu-central-2,
eu-north-1,
eu-south-1,
eu-south-2,
eu-west-1,
eu-west-2,
eu-west-3,
ap-east-1,
ap-east-2,
ap-northeast-1,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
ap-south-2,
ap-southeast-1,
ap-southeast-2,
ap-southeast-3,
ap-southeast-4,
ap-southeast-5,
ap-southeast-6,
ap-southeast-7,
cn-north-1,
cn-northwest-1,
af-south-1,
il-central-1,
me-central-1,
me-south-1
Example:
["us-west-2"]

Response

Consumer profile updated successfully

is_active
boolean
required
is_compute_billing_enabled
boolean
required
object
enum<string>
required
Available options:
consumer_profile
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
uuid
string | null
account_uuid
string | null
render_user_id
string | null
allowed_region_codes
(enum<string> | null)[]

Coarse geographic-network region identifier (AWS-style naming).

Available options:
ca-central-1,
ca-west-1,
mx-central-1,
sa-east-1,
us-east-1,
us-east-2,
us-west-1,
us-west-2,
eu-central-1,
eu-central-2,
eu-north-1,
eu-south-1,
eu-south-2,
eu-west-1,
eu-west-2,
eu-west-3,
ap-east-1,
ap-east-2,
ap-northeast-1,
ap-northeast-2,
ap-northeast-3,
ap-south-1,
ap-south-2,
ap-southeast-1,
ap-southeast-2,
ap-southeast-3,
ap-southeast-4,
ap-southeast-5,
ap-southeast-6,
ap-southeast-7,
cn-north-1,
cn-northwest-1,
af-south-1,
il-central-1,
me-central-1,
me-south-1,
null
Example:

"us-west-2"

deleted_at
string<date-time> | null